# ``twisted`.`python`.`filepath`.`RWX``

class documentation

`class RWX(FancyEqMixin): (source)`

View In Hierarchy

A class representing read/write/execute permissions for a single user category (i.e. user/owner, group, or other/world). Instantiate with three boolean values: readable? writable? executable?.

Present Since
11.1

Method | `__init__` | Undocumented
Method | `__repr__` | Undocumented
Method | `shorthand` | Returns a short string representing the permission bits. Looks like part of what is printed by command line utilities such as 'ls -l' (e.g. 'rwx')
Class Variable | `compareAttributes` | Undocumented
Instance Variable | `execute` | Whether permission to execute is given
Instance Variable | `read` | Whether permission to read is given
Instance Variable | `write` | Whether permission to write is given

Inherited from `FancyEqMixin`:

Method | `__eq__` | Undocumented
Method | `__ne__` | Undocumented

def __init__(self, readable, writable, executable): (source)

Undocumented

def __repr__(self): (source)

Undocumented

Returns
`str` | Undocumented

def shorthand(self): (source)
Returns a short string representing the permission bits. Looks like part of what is printed by command line utilities such as 'ls -l' (e.g. 'rwx')

Returns
`str` | The shorthand string.

compareAttributes: `tuple[str, ...]` = (source)
overrides `twisted.python.util.FancyEqMixin.compareAttributes`

Undocumented

execute: `bool` = (source)
Whether permission to execute is given
read: `bool` = (source)
Whether permission to read is given
write: `bool` = (source)
Whether permission to write is given